# Uses of Interface
org.xnio.FileChangeCallback

Packages that use FileChangeCallback
Package
Description
org.xnio
The main API package for XNIO.

## Uses of FileChangeCallback in org.xnio

Methods in org.xnio with parameters of type FileChangeCallback
Modifier and Type
Method
Description
`void`
FileSystemWatcher.`unwatchPath(File file, FileChangeCallback callback)`
Stop watching a path.
`void`
FileSystemWatcher.`watchPath(File file, FileChangeCallback callback)`
Watch the given path recursively, and invoke the callback when a change is made.